function execCmd(cmd, acmd) {
  var f = document.form1;
  if (isClear()) {
    f.cmd.value = cmd;
    f.acmd.value = acmd;
    f.submit();
  }
}

function isClear() {
  var f = document.form1;
  len = f.length;
  for (i=0; i < len; i++) {
    var isCheck = false;
    if ((f.elements[i].name == "to" || f.elements[i].name == "cc" || f.elements[i].name == "subject" || f.elements[i].name == "text") && f.elements[i].value.length != 0) {
      isCheck = true;
    }
    if(f.defaultBcc != null){
	    if (f.elements[i].name == "bcc") {
	      var bcc = f.elements[i].value;
	      var defaultBcc = f.defaultBcc.value;
	      if (defaultBcc == 0 && bcc.length != 0) {
	        isCheck = true;
	      } else if (bcc != defaultBcc) {
	        isCheck = true;
	      }
	    }
	}
	if(f.defaultReplyTo != null){
	    if (f.elements[i].name == "replyto") {
	      var replyto = f.elements[i].value
	      var defaultReplyTo = f.defaultReplyTo.value;
	      if (defaultReplyTo == 0 && replyto.length != 0) {
	        isCheck = true;
	      } else if (replyto != defaultReplyTo) {
	        isCheck = true;
	      }
	    }
	}
    if (isCheck) { 
      return confirm("作成した内容が破棄されます。 よろしいですか？");
    }
  }
  return true;
}

function cmdLogout() {
  var f = document.form1;
  if (confirm("ログアウトしてもよろしいですか？")) {
    f.cmd.value = "LOGOUT";
    f.submit();
    return;
  }
}

function checkAddress(val) {
  var f = document.form1;
  cnt = 0;
  for (i=0; i<val.length; i++) {
    if (val.charAt(i).match("\"") != null) {
      cnt++;
    }
  }
  if ((cnt % 2) != 0) {
    return false;
  } else {
    return true;
  }
}

function cmdAdr(cmd, acmd) {
  var f = document.form1;
  val = f.to.value;
  if (!checkAddress(val)) {
    alert("宛先欄で\"が不正に入力されています");
    return;
  }
  if (val.length != 0 && val.search("%") > -1) {
    alert("宛先欄では%は使用できません");
    return;
  }
  val = f.cc.value;
  if (!checkAddress(val)) {
    alert("写し欄で\"が不正に入力されています");
    return;
  }
  if (val.length != 0 && val.search("%") > -1) {
    alert("写し欄では%は使用できません");
    return;
  }

  if(f.bcc != null){ // 詳細表示のときだけ存在するので、nullチェックで存在の有無を確認
	  val = f.bcc.value;
	  if (!checkAddress(val)) {
	    alert("Bcc欄で\"が不正に入力されています");
	    return;
	  }
	  if (val.length != 0 && val.search("%") > -1) {
	    alert("Bcc欄では%は使用できません");
	    return;
	  }
  }
  if(f.replyto != null){ // 詳細表示のときだけ存在するので、nullチェックで存在の有無を確認
	  val = f.replyto.value;
	  if (val.length != 0) {
	    if (!isAscii(val)) {
	      alert("返信先欄には半角英数字を使用してください");
	      return;
	    }
	    if (val.search("%") > -1) {
	      alert("返信先欄では%は使用できません");
	      return;
	    }
	  }
  }

  f.cmd.value = cmd;
  f.acmd.value = acmd;
  f.submit();
}

function set(adr) {
  var f = document.form1;
  f.cmd.value = 'SME';
  f.select_adr.value = adr;
  f.submit();
}

function isAscii(value) {
  for (n = 0; n < value.length; n++) {
    if (value.charCodeAt(n) >= 0x80) {
      return false;
    }
  }
  return true;
}

function setAdr(cmd, acmd) {
  var f = document.form1;
  len = f.length;
  for (i=0; i < len; i++) {
    if ((f.elements[i].name == "adr_to" || f.elements[i].name == "adr_cc" || f.elements[i].name == "adr_bcc") && (f.elements[i].checked)) {
      f.cmd.value = cmd;
      f.acmd.value = acmd;
      f.set_adr.value = "TRUE";
      f.submit();
      return;
    }
  }
  alert("設定するアドレスを選択してください");
}

function changeView(cmd, acmd) {
  var f = document.form1;
  f.cmd.value = cmd;
  f.acmd.value = acmd;
  f.submit();
}

function openWindow(value) {
  window.open(value);
}
